Page MenuHomePhabricator

[Regression pre-wmf.8] The bottom bar (Scrollbar area?) of Ace editor is overlapping with the language drop down
Closed, ResolvedPublic1 Estimate Story Points

Description

Steps to reproduce:

Note: This will only happen the first time in every session.

  1. Open Code editor from Insert>Code block
  2. Open the drop down menu for language

Observe that, the bottom bar of the text area is overlapping with the drop down.

Details

Related Gerrit Patches:
mediawiki/extensions/SyntaxHighlight_GeSHi : masterve.ui.MWSyntaxHighlightWindow: Set $overlay for the ComboBoxInputWidget

Event Timeline

Ryasmeen created this task.Jul 7 2017, 11:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 7 2017, 11:39 PM
Ryasmeen renamed this task from [Regression pre-wmf.8] The bottom bar of Ace editor (Scrollbar area?) is overlapping with the language drop down to [Regression pre-wmf.8] The bottom bar (Scrollbar area?) of Ace editor is overlapping with the language drop down.Jul 8 2017, 1:07 AM
Deskana triaged this task as High priority.Jul 10 2017, 6:08 PM
Deskana moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Deskana added a subscriber: matmarex.

@matmarex Do you think that this is the same problem as T169076: Flow toolbar overlaps with mention search?

No.

I can only reproduce this if the contents of the edit field are actually wide enough to require a horizontal scrollbar.

Change 364334 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] ve.ui.MWSyntaxHighlightWindow: Set $overlay for the ComboBoxInputWidget

https://gerrit.wikimedia.org/r/364334

With the fix:

Change 364334 merged by jenkins-bot:
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] ve.ui.MWSyntaxHighlightWindow: Set $overlay for the ComboBoxInputWidget

https://gerrit.wikimedia.org/r/364334

Ryasmeen closed this task as Resolved.Jul 10 2017, 10:55 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 10 2017, 10:55 PM
Jdforrester-WMF set the point value for this task to 1.Jul 11 2017, 7:24 PM
Jdforrester-WMF edited projects, added SyntaxHighlight; removed Patch-For-Review.